Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Feb 2018 19:08:53 +0200

> From: Tino Calancha <[email-masked]>
> Date: Sun, 04 Feb 2018 01:15:54 +0900
> Cc: [email-masked]
> 
> Noam Postavsky <[email-masked]> writes:
> 
> > Yes, seems to have been the case for a long time, I can reproduce back
> > to 24.3 (oldest Emacs version I have running).
> This is a security risk.  I would like to have it fixed ASAP.
> Below patch seems to work.  Any feedback would be appreciated.

My feedback is that such a radical solution with so many lines of code
is a no-no for the release branch.  Please look for a simpler
solution, perhaps don't create a new file?

Thanks.